corda / net.corda.core.testing / AnonymousPartyGenerator

# AnonymousPartyGenerator

`class AnonymousPartyGenerator : Generator<AnonymousParty>`

### Constructors

<init> | `AnonymousPartyGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): AnonymousParty`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck